Delete Conversation
curl --request DELETE \
--url https://{appId}.api-{region}.cometchat.io/v3/conversations/{conversationId} \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/conversations/{conversationId}"
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {onBehalfOf: '<onbehalfof>', apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "The conversation group_project-group has been deleted successfully for all the users."
}
}Conversations
Delete Conversation
deprecated
This API is deprecated please use Reset User/GroupConversation API
DELETE
/
conversations
/
{conversationId}
Delete Conversation
This endpoint is deprecated and will be removed in a future API version.Use the type-specific endpoints instead:
Migration example:
| Old Endpoint | New Endpoint |
|---|---|
DELETE /conversations/{conversationId} | DELETE /users/{uid}/conversation or DELETE /groups/{guid}/conversation |
# Old (deprecated):
curl -X DELETE "https://appid.api-us.cometchat.io/v3/conversations/user_cometchat-uid-1_user_cometchat-uid-2" \
-H "apikey: YOUR_API_KEY"
# New (recommended) — for a user conversation:
curl -X DELETE "https://appid.api-us.cometchat.io/v3/users/cometchat-uid-2/conversation" \
-H "apikey: YOUR_API_KEY" \
-H "onBehalfOf: cometchat-uid-1"
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
(Required) conversation id
Response
200 - application/json
Deleted Conversations
Was this page helpful?
⌘I